WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Public Member Functions | List of all members
winstd::eap_attr Class Reference
Extensible Authentication Protocol API

EAP_ATTRIBUTE wrapper class. More...

`#include <WinStd/EAP.h>`

Inheritance diagram for winstd::eap_attr:

## Public Member Functions
| eap_attr () noexcept
| Initializes a new EAP attribute set to eatReserved.
| eap_attr (const EAP_ATTRIBUTE &a)
| Copies an existing EAP attribute.
| eap_attr (eap_attr &&a) noexcept
| Moves an existing EAP attribute.
| ~eap_attr ()
| Destroys the EAP attribute.
eap_attr & | operator= (const EAP_ATTRIBUTE &a)
| Copies an existing EAP attribute.
eap_attr & | operator= (eap_attr &&a) noexcept
| Moves an existing EAP attribute.
void | create_ms_mppe_key (BYTE bVendorType, LPCBYTE pbKey, BYTE nKeySize)
| Creates MS-MPPE-Send-Key or MS-MPPE-Recv-Key.

## Detailed Description

EAP_ATTRIBUTE wrapper class.

## Member Function Documentation

## ◆ create_ms_mppe_key()

void winstd::eap_attr::create_ms_mppe_key | ( | BYTE | bVendorType,
|  | LPCBYTE | pbKey,
|  | BYTE | nKeySize )
| inline

Creates MS-MPPE-Send-Key or MS-MPPE-Recv-Key.

See also
  RADIUS Vendor-Specific
  MS-MPPE-Send-Key
  MS-MPPE-Recv-Key

The documentation for this class was generated from the following file:

- include/WinStd/EAP.h